<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Grenade_Base/M18SmokeGrenade_ColorBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d78/_m18_smoke_grenade___color_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">M18SmokeGrenade_ColorBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d78/_m18_smoke_grenade___color_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#ae24fb437a59ae0ea16b9f99be7dc10b5">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/d62/class_m18_smoke_grenade___color_base.html">M18SmokeGrenade_ColorBase</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d3/d4c/class_smoke_grenade_base.html">SmokeGrenadeBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d3/d4c/class_smoke_grenade_base.html#abf2afbf31b662c59ca23fc39989b3fff">    3</a></span>    <span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a0536d9d2d4bcc82ed8218de56f8ba51a">SOUND_SMOKE_START</a> = <span class="stringliteral">&quot;SmokegGrenades_M18_start_loop_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d3/d4c/class_smoke_grenade_base.html#ab53f2d14fc77252a7bf95fe72289c09d">    4</a></span>    <span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#af309687aa59c36336c11374026a370db">SOUND_SMOKE_LOOP</a> = <span class="stringliteral">&quot;SmokegGrenades_M18_active_loop_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d3/d4c/class_smoke_grenade_base.html#a3c7117a7578730e99bf0ee2ce9f661b3">    5</a></span>    <span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a4d957136441b41d40a618ea26916540c">SOUND_SMOKE_END</a> = <span class="stringliteral">&quot;SmokegGrenades_M18_end_loop_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d3/d4c/class_smoke_grenade_base.html#aa98af1c9b4239d999f6d0c28f6a3dd0e">    7</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d4c/class_smoke_grenade_base.html#aa98af1c9b4239d999f6d0c28f6a3dd0e">M18SmokeGrenade_ColorBase</a>()</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#ad3e094cf68f7de47f9770099d995a4bb">SetAmmoType</a>(<span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        SetFuseDelay(2);</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#a6c632bfe3b165e2077388e3897a129d1">SetSoundSmokeStart</a>(<a class="code hl_variable" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a0536d9d2d4bcc82ed8218de56f8ba51a">SOUND_SMOKE_START</a>);</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#ada9e198796d8a367139ca98e6cb61cde">SetSoundSmokeLoop</a>(<a class="code hl_variable" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#af309687aa59c36336c11374026a370db">SOUND_SMOKE_LOOP</a>);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#a4398f844df403daf83874caa212790af">SetSoundSmokeEnd</a>(<a class="code hl_variable" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a4d957136441b41d40a618ea26916540c">SOUND_SMOKE_END</a>);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d3/d4c/class_smoke_grenade_base.html#ac93758f522b87d12deb4fee083c9ead0">   16</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d4c/class_smoke_grenade_base.html#ac93758f522b87d12deb4fee083c9ead0">~M18SmokeGrenade_ColorBase</a>() {}</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>}</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="keyword">class </span><a class="code hl_class" href="../../d0/d64/class_m18_smoke_grenade___red.html">M18SmokeGrenade_Red</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/d62/class_m18_smoke_grenade___color_base.html">M18SmokeGrenade_ColorBase</a></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>{</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="keywordtype">void</span> <a class="code hl_class" href="../../d0/d64/class_m18_smoke_grenade___red.html">M18SmokeGrenade_Red</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a0536d9d2d4bcc82ed8218de56f8ba51a">   22</a></span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#af309687aa59c36336c11374026a370db">   23</a></span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#aeb0804306fcb4fd3e6fe57dd1cfc6d3e">SetParticleSmokeStart</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#ab91ced5301bb27548b943bcd27d5a12e">GRENADE_M18_RED_START</a>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a4d957136441b41d40a618ea26916540c">   24</a></span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#a5d5b113a92edf59804f424d3871ced4f">SetParticleSmokeLoop</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a8a9c9d4cd477ec806cee48ce46084014">GRENADE_M18_RED_LOOP</a>);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#ad1fdf205f1d286502cbb4f55fcec0207">SetParticleSmokeEnd</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a0ba4cf1561da59658437a12b4c72cd53">GRENADE_M18_RED_END</a>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#ac5cbe310eff7b8898f39754a1b824f3e">   26</a></span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>}</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="comment">// Used for calling in dynamic contaminated areas</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#aabaf00bd6eaa9549f1ff0f33745a9bda">   30</a></span><span class="keyword">class </span>M18SmokeGrenade_Red_Contaminated <span class="keyword">extends</span> <a class="code hl_class" href="../../d0/d64/class_m18_smoke_grenade___red.html">M18SmokeGrenade_Red</a></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>{</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d0/d64/class_m18_smoke_grenade___red.html#a0375c6f6dfea9894e11d5d32dd0202f8">   32</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d64/class_m18_smoke_grenade___red.html#a0375c6f6dfea9894e11d5d32dd0202f8">OnWorkStop</a>()</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        super.OnWorkStop();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#af627c47826a575d7b8b21f5f8f47da37">   35</a></span>        </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetCEApi().SpawnGroup( <span class="stringliteral">&quot;ContaminatedArea_Dynamic&quot;</span>, <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>() );</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>}</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="keyword">class </span><a class="code hl_function" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#aabaf00bd6eaa9549f1ff0f33745a9bda">M18SmokeGrenade_Green</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/d62/class_m18_smoke_grenade___color_base.html">M18SmokeGrenade_ColorBase</a></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>{</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#aabaf00bd6eaa9549f1ff0f33745a9bda">M18SmokeGrenade_Green</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a1c7730d1ae639ca30356deaa17482615">   44</a></span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#aeb0804306fcb4fd3e6fe57dd1cfc6d3e">SetParticleSmokeStart</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#ad09073202a0408f3681652dce818475e">GRENADE_M18_GREEN_START</a>);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#a5d5b113a92edf59804f424d3871ced4f">SetParticleSmokeLoop</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a9701dd22311cceb1298f9bb32ed0eec9">GRENADE_M18_GREEN_LOOP</a>);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#ad1fdf205f1d286502cbb4f55fcec0207">SetParticleSmokeEnd</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a9b91e72927ed01b2c73efc883562f72e">GRENADE_M18_GREEN_END</a>);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>}</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#afffa96e214789a5eb952b013410b7ddb">   51</a></span><span class="keyword">class </span><a class="code hl_function" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#ad477755cd11a69420e16d48568dee807">M18SmokeGrenade_Yellow</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/d62/class_m18_smoke_grenade___color_base.html">M18SmokeGrenade_ColorBase</a></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>{</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d1/d62/class_m18_smoke_grenade___color_base.html#ad8bce6c0fa1565ea0bbed7a84ee03710">   53</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d62/class_m18_smoke_grenade___color_base.html#ad8bce6c0fa1565ea0bbed7a84ee03710">M18SmokeGrenade_Yellow</a>()</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#aeb0804306fcb4fd3e6fe57dd1cfc6d3e">SetParticleSmokeStart</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a6b377b3e4f17357110809085b263e085">GRENADE_M18_YELLOW_START</a>);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#a5d5b113a92edf59804f424d3871ced4f">SetParticleSmokeLoop</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a037446ba50e1492525f3d7c4e4485be1">GRENADE_M18_YELLOW_LOOP</a>);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#ad1fdf205f1d286502cbb4f55fcec0207">SetParticleSmokeEnd</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a8b1be79159a865cf8e2b7c0d61277ba9">GRENADE_M18_YELLOW_END</a>);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }   </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>}</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="keyword">class </span><a class="code hl_function" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#afffa96e214789a5eb952b013410b7ddb">M18SmokeGrenade_Purple</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/d62/class_m18_smoke_grenade___color_base.html">M18SmokeGrenade_ColorBase</a></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>{</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#afffa96e214789a5eb952b013410b7ddb">M18SmokeGrenade_Purple</a>()</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#ad477755cd11a69420e16d48568dee807">   64</a></span>    {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#aeb0804306fcb4fd3e6fe57dd1cfc6d3e">SetParticleSmokeStart</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a2eb7f6a033a5cc7bb8ff85a33a5e7d55">GRENADE_M18_PURPLE_START</a>);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#a5d5b113a92edf59804f424d3871ced4f">SetParticleSmokeLoop</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#ae6928cdec701a3d890c2d546fd826243">GRENADE_M18_PURPLE_LOOP</a>);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#ad1fdf205f1d286502cbb4f55fcec0207">SetParticleSmokeEnd</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#aebde82a1971bbece76b58dfdd09a0a0d">GRENADE_M18_PURPLE_END</a>);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>}</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span><span class="keyword">class </span>M18SmokeGrenade_White <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/d62/class_m18_smoke_grenade___color_base.html">M18SmokeGrenade_ColorBase</a></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>{</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d1/d62/class_m18_smoke_grenade___color_base.html#addb16db5d49c2ef7aa0e0c61aa67c28d">   73</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d62/class_m18_smoke_grenade___color_base.html#addb16db5d49c2ef7aa0e0c61aa67c28d">M18SmokeGrenade_White</a>()</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#aeb0804306fcb4fd3e6fe57dd1cfc6d3e">SetParticleSmokeStart</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#acb25fd42d0707161156c9f5be655406e">GRENADE_M18_WHITE_START</a>);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#a5d5b113a92edf59804f424d3871ced4f">SetParticleSmokeLoop</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#aae1b3f3f160a4825dc0cd759fb7eeb53">GRENADE_M18_WHITE_LOOP</a>);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#ad1fdf205f1d286502cbb4f55fcec0207">SetParticleSmokeEnd</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a91478f72ca17e60f5dfa389a016f5b65">GRENADE_M18_WHITE_END</a>);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>}</div>
<div class="ttc" id="a_effect_8c_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdoc">Get the world position of the Effect.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00437">Effect.c:437</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_ad3e094cf68f7de47f9770099d995a4bb"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#ad3e094cf68f7de47f9770099d995a4bb">SetAmmoType</a></div><div class="ttdeci">void SetAmmoType(string pAmmoType)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00198">ExplosivesBase.c:198</a></div></div>
<div class="ttc" id="a_m18_smoke_grenade___color_base_8c_html_a0536d9d2d4bcc82ed8218de56f8ba51a"><div class="ttname"><a href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a0536d9d2d4bcc82ed8218de56f8ba51a">SOUND_SMOKE_START</a></div><div class="ttdeci">const string SOUND_SMOKE_START</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00022">M18SmokeGrenade_ColorBase.c:22</a></div></div>
<div class="ttc" id="a_m18_smoke_grenade___color_base_8c_html_a4d957136441b41d40a618ea26916540c"><div class="ttname"><a href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a4d957136441b41d40a618ea26916540c">SOUND_SMOKE_END</a></div><div class="ttdeci">const string SOUND_SMOKE_END</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00024">M18SmokeGrenade_ColorBase.c:24</a></div></div>
<div class="ttc" id="a_m18_smoke_grenade___color_base_8c_html_aabaf00bd6eaa9549f1ff0f33745a9bda"><div class="ttname"><a href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#aabaf00bd6eaa9549f1ff0f33745a9bda">M18SmokeGrenade_Green</a></div><div class="ttdeci">class M18SmokeGrenade_Red_Contaminated extends M18SmokeGrenade_Red M18SmokeGrenade_Green()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00030">M18SmokeGrenade_ColorBase.c:43</a></div></div>
<div class="ttc" id="a_m18_smoke_grenade___color_base_8c_html_ad477755cd11a69420e16d48568dee807"><div class="ttname"><a href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#ad477755cd11a69420e16d48568dee807">M18SmokeGrenade_Yellow</a></div><div class="ttdeci">void M18SmokeGrenade_Yellow()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00064">M18SmokeGrenade_ColorBase.c:64</a></div></div>
<div class="ttc" id="a_m18_smoke_grenade___color_base_8c_html_af309687aa59c36336c11374026a370db"><div class="ttname"><a href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#af309687aa59c36336c11374026a370db">SOUND_SMOKE_LOOP</a></div><div class="ttdeci">const string SOUND_SMOKE_LOOP</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00023">M18SmokeGrenade_ColorBase.c:23</a></div></div>
<div class="ttc" id="a_m18_smoke_grenade___color_base_8c_html_afffa96e214789a5eb952b013410b7ddb"><div class="ttname"><a href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#afffa96e214789a5eb952b013410b7ddb">M18SmokeGrenade_Purple</a></div><div class="ttdeci">class M18SmokeGrenade_Yellow extends M18SmokeGrenade_ColorBase M18SmokeGrenade_Purple()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00051">M18SmokeGrenade_ColorBase.c:63</a></div></div>
<div class="ttc" id="a_smoke_grenade_base_8c_html_a4398f844df403daf83874caa212790af"><div class="ttname"><a href="../../d4/d6f/_smoke_grenade_base_8c.html#a4398f844df403daf83874caa212790af">SetSoundSmokeEnd</a></div><div class="ttdeci">void SetSoundSmokeEnd(string sound)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00069">SmokeGrenadeBase.c:69</a></div></div>
<div class="ttc" id="a_smoke_grenade_base_8c_html_a5d5b113a92edf59804f424d3871ced4f"><div class="ttname"><a href="../../d4/d6f/_smoke_grenade_base_8c.html#a5d5b113a92edf59804f424d3871ced4f">SetParticleSmokeLoop</a></div><div class="ttdeci">void SetParticleSmokeLoop(int particle)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00049">SmokeGrenadeBase.c:49</a></div></div>
<div class="ttc" id="a_smoke_grenade_base_8c_html_a6c632bfe3b165e2077388e3897a129d1"><div class="ttname"><a href="../../d4/d6f/_smoke_grenade_base_8c.html#a6c632bfe3b165e2077388e3897a129d1">SetSoundSmokeStart</a></div><div class="ttdeci">void SetSoundSmokeStart(string sound)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00059">SmokeGrenadeBase.c:59</a></div></div>
<div class="ttc" id="a_smoke_grenade_base_8c_html_ad1fdf205f1d286502cbb4f55fcec0207"><div class="ttname"><a href="../../d4/d6f/_smoke_grenade_base_8c.html#ad1fdf205f1d286502cbb4f55fcec0207">SetParticleSmokeEnd</a></div><div class="ttdeci">void SetParticleSmokeEnd(int particle)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00054">SmokeGrenadeBase.c:54</a></div></div>
<div class="ttc" id="a_smoke_grenade_base_8c_html_ada9e198796d8a367139ca98e6cb61cde"><div class="ttname"><a href="../../d4/d6f/_smoke_grenade_base_8c.html#ada9e198796d8a367139ca98e6cb61cde">SetSoundSmokeLoop</a></div><div class="ttdeci">void SetSoundSmokeLoop(string sound)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00064">SmokeGrenadeBase.c:64</a></div></div>
<div class="ttc" id="a_smoke_grenade_base_8c_html_aeb0804306fcb4fd3e6fe57dd1cfc6d3e"><div class="ttname"><a href="../../d4/d6f/_smoke_grenade_base_8c.html#aeb0804306fcb4fd3e6fe57dd1cfc6d3e">SetParticleSmokeStart</a></div><div class="ttdeci">void SetParticleSmokeStart(int particle)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00044">SmokeGrenadeBase.c:44</a></div></div>
<div class="ttc" id="aclass_m18_smoke_grenade___color_base_html"><div class="ttname"><a href="../../d1/d62/class_m18_smoke_grenade___color_base.html">M18SmokeGrenade_ColorBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00051">M18SmokeGrenade_ColorBase.c:52</a></div></div>
<div class="ttc" id="aclass_m18_smoke_grenade___color_base_html_ad8bce6c0fa1565ea0bbed7a84ee03710"><div class="ttname"><a href="../../d1/d62/class_m18_smoke_grenade___color_base.html#ad8bce6c0fa1565ea0bbed7a84ee03710">M18SmokeGrenade_ColorBase::M18SmokeGrenade_Yellow</a></div><div class="ttdeci">void M18SmokeGrenade_Yellow()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00053">M18SmokeGrenade_ColorBase.c:53</a></div></div>
<div class="ttc" id="aclass_m18_smoke_grenade___color_base_html_addb16db5d49c2ef7aa0e0c61aa67c28d"><div class="ttname"><a href="../../d1/d62/class_m18_smoke_grenade___color_base.html#addb16db5d49c2ef7aa0e0c61aa67c28d">M18SmokeGrenade_ColorBase::M18SmokeGrenade_White</a></div><div class="ttdeci">void M18SmokeGrenade_White()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00073">M18SmokeGrenade_ColorBase.c:73</a></div></div>
<div class="ttc" id="aclass_m18_smoke_grenade___red_html"><div class="ttname"><a href="../../d0/d64/class_m18_smoke_grenade___red.html">M18SmokeGrenade_Red</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00030">M18SmokeGrenade_ColorBase.c:31</a></div></div>
<div class="ttc" id="aclass_m18_smoke_grenade___red_html_a0375c6f6dfea9894e11d5d32dd0202f8"><div class="ttname"><a href="../../d0/d64/class_m18_smoke_grenade___red.html#a0375c6f6dfea9894e11d5d32dd0202f8">M18SmokeGrenade_Red::OnWorkStop</a></div><div class="ttdeci">override void OnWorkStop()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00032">M18SmokeGrenade_ColorBase.c:32</a></div></div>
<div class="ttc" id="aclass_particle_list_html"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html">ParticleList</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00011">ParticleList.c:12</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a037446ba50e1492525f3d7c4e4485be1"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a037446ba50e1492525f3d7c4e4485be1">ParticleList::GRENADE_M18_YELLOW_LOOP</a></div><div class="ttdeci">static const int GRENADE_M18_YELLOW_LOOP</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00119">ParticleList.c:119</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a0ba4cf1561da59658437a12b4c72cd53"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a0ba4cf1561da59658437a12b4c72cd53">ParticleList::GRENADE_M18_RED_END</a></div><div class="ttdeci">static const int GRENADE_M18_RED_END</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00114">ParticleList.c:114</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a2eb7f6a033a5cc7bb8ff85a33a5e7d55"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a2eb7f6a033a5cc7bb8ff85a33a5e7d55">ParticleList::GRENADE_M18_PURPLE_START</a></div><div class="ttdeci">static const int GRENADE_M18_PURPLE_START</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00109">ParticleList.c:109</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a6b377b3e4f17357110809085b263e085"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a6b377b3e4f17357110809085b263e085">ParticleList::GRENADE_M18_YELLOW_START</a></div><div class="ttdeci">static const int GRENADE_M18_YELLOW_START</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00118">ParticleList.c:118</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a8a9c9d4cd477ec806cee48ce46084014"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a8a9c9d4cd477ec806cee48ce46084014">ParticleList::GRENADE_M18_RED_LOOP</a></div><div class="ttdeci">static const int GRENADE_M18_RED_LOOP</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00113">ParticleList.c:113</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a8b1be79159a865cf8e2b7c0d61277ba9"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a8b1be79159a865cf8e2b7c0d61277ba9">ParticleList::GRENADE_M18_YELLOW_END</a></div><div class="ttdeci">static const int GRENADE_M18_YELLOW_END</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00120">ParticleList.c:120</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a91478f72ca17e60f5dfa389a016f5b65"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a91478f72ca17e60f5dfa389a016f5b65">ParticleList::GRENADE_M18_WHITE_END</a></div><div class="ttdeci">static const int GRENADE_M18_WHITE_END</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00117">ParticleList.c:117</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a9701dd22311cceb1298f9bb32ed0eec9"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a9701dd22311cceb1298f9bb32ed0eec9">ParticleList::GRENADE_M18_GREEN_LOOP</a></div><div class="ttdeci">static const int GRENADE_M18_GREEN_LOOP</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00107">ParticleList.c:107</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a9b91e72927ed01b2c73efc883562f72e"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a9b91e72927ed01b2c73efc883562f72e">ParticleList::GRENADE_M18_GREEN_END</a></div><div class="ttdeci">static const int GRENADE_M18_GREEN_END</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00108">ParticleList.c:108</a></div></div>
<div class="ttc" id="aclass_particle_list_html_aae1b3f3f160a4825dc0cd759fb7eeb53"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#aae1b3f3f160a4825dc0cd759fb7eeb53">ParticleList::GRENADE_M18_WHITE_LOOP</a></div><div class="ttdeci">static const int GRENADE_M18_WHITE_LOOP</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00116">ParticleList.c:116</a></div></div>
<div class="ttc" id="aclass_particle_list_html_ab91ced5301bb27548b943bcd27d5a12e"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#ab91ced5301bb27548b943bcd27d5a12e">ParticleList::GRENADE_M18_RED_START</a></div><div class="ttdeci">static const int GRENADE_M18_RED_START</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00112">ParticleList.c:112</a></div></div>
<div class="ttc" id="aclass_particle_list_html_acb25fd42d0707161156c9f5be655406e"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#acb25fd42d0707161156c9f5be655406e">ParticleList::GRENADE_M18_WHITE_START</a></div><div class="ttdeci">static const int GRENADE_M18_WHITE_START</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00115">ParticleList.c:115</a></div></div>
<div class="ttc" id="aclass_particle_list_html_ad09073202a0408f3681652dce818475e"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#ad09073202a0408f3681652dce818475e">ParticleList::GRENADE_M18_GREEN_START</a></div><div class="ttdeci">static const int GRENADE_M18_GREEN_START</div><div class="ttdoc">M18.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00106">ParticleList.c:106</a></div></div>
<div class="ttc" id="aclass_particle_list_html_ae6928cdec701a3d890c2d546fd826243"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#ae6928cdec701a3d890c2d546fd826243">ParticleList::GRENADE_M18_PURPLE_LOOP</a></div><div class="ttdeci">static const int GRENADE_M18_PURPLE_LOOP</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00110">ParticleList.c:110</a></div></div>
<div class="ttc" id="aclass_particle_list_html_aebde82a1971bbece76b58dfdd09a0a0d"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#aebde82a1971bbece76b58dfdd09a0a0d">ParticleList::GRENADE_M18_PURPLE_END</a></div><div class="ttdeci">static const int GRENADE_M18_PURPLE_END</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00111">ParticleList.c:111</a></div></div>
<div class="ttc" id="aclass_smoke_grenade_base_html"><div class="ttname"><a href="../../d3/d4c/class_smoke_grenade_base.html">SmokeGrenadeBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00001">M18SmokeGrenade_ColorBase.c:2</a></div></div>
<div class="ttc" id="aclass_smoke_grenade_base_html_aa98af1c9b4239d999f6d0c28f6a3dd0e"><div class="ttname"><a href="../../d3/d4c/class_smoke_grenade_base.html#aa98af1c9b4239d999f6d0c28f6a3dd0e">SmokeGrenadeBase::M18SmokeGrenade_ColorBase</a></div><div class="ttdeci">void M18SmokeGrenade_ColorBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00007">M18SmokeGrenade_ColorBase.c:7</a></div></div>
<div class="ttc" id="aclass_smoke_grenade_base_html_ac93758f522b87d12deb4fee083c9ead0"><div class="ttname"><a href="../../d3/d4c/class_smoke_grenade_base.html#ac93758f522b87d12deb4fee083c9ead0">SmokeGrenadeBase::~M18SmokeGrenade_ColorBase</a></div><div class="ttdeci">void ~M18SmokeGrenade_ColorBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00016">M18SmokeGrenade_ColorBase.c:16</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_806847d5bba5024497719a5baaa9b4a0.html">Grenade_Base</a></li><li class="navelem"><a class="el" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html">M18SmokeGrenade_ColorBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
